> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 하나 이상의 지정가 주문 PDA에 대한 온체인 이벤트 로그 조회

> 하나 이상의 지정가 주문 PDA에 대한 이벤트 로그(`open`, `increase`, `decrease`, `settle`, `close`)를 반환합니다. 주문별 타임라인 렌더링에 유용합니다. `nextPageId`를 통해 커서 페이지네이션을 지원합니다.




## OpenAPI

````yaml /ko/api-reference/openapi/temp-api-v1.yaml get /limit-order/history/event/list-by-pda
openapi: 3.0.3
info:
  title: Temp API
  description: |
    메인 Raydium API에 영구적인 위치가 없는 단기 엔드포인트를 위한 임시 공간입니다.
    이 서비스의 엔드포인트는 사전 고지 없이 변경되거나 지원이 중단되거나 이동될 수 있습니다.

    **안정성 경고:** 이 서비스는 빠른 반복 개발을 우선시하며 API 안정성을 최소한으로만 보장합니다.
    비중요 경로, 내부 도구, 또는 개발 중인 기능에만 사용하세요.
  version: 1.0.0
  contact:
    name: Raydium
    url: https://raydium.io
servers:
  - url: https://temp-api-v1.raydium.io
    description: Mainnet
  - url: https://temp-api-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Temporary
    description: 임시 엔드포인트 (불안정)
paths:
  /limit-order/history/event/list-by-pda:
    get:
      tags:
        - Temporary
      summary: 하나 이상의 지정가 주문 PDA에 대한 온체인 이벤트 로그 조회
      description: >
        하나 이상의 지정가 주문 PDA에 대한 이벤트 로그(`open`, `increase`, `decrease`, `settle`,
        `close`)를 반환합니다. 주문별 타임라인 렌더링에 유용합니다. `nextPageId`를 통해 커서 페이지네이션을 지원합니다.
      operationId: listLimitOrderEventsByPda
      parameters:
        - name: pda
          in: query
          required: true
          description: |
            쉼표로 구분된 하나 이상의 지정가 주문 PDA 공개 키. 각 항목은 유효한 base58 공개 키여야 합니다.
          schema:
            type: string
        - name: nextPageId
          in: query
          required: false
          description: 이전 페이지에서 반환된 불투명한 페이지네이션 커서 (TTL ~1h).
          schema:
            type: string
        - name: size
          in: query
          required: false
          description: 페이지 크기 (1–100, 기본값 20).
          schema:
            type: integer
            default: 20
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LimitOrderEventByPdaResponse'
        '400':
          description: 잘못된 요청
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 서버 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    LimitOrderEventByPdaResponse:
      type: object
      description: '`/limit-order/history/event/list-by-pda` 페이로드.'
      properties:
        id:
          type: string
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            rows:
              type: array
              items:
                $ref: '#/components/schemas/LimitOrderEventItem'
            nextPageId:
              type: string
              nullable: true
              description: 다음 페이지를 위한 불투명 커서; 마지막 페이지인 경우 생략됩니다.
          required:
            - rows
      required:
        - success
        - data
    ErrorResponse:
      type: object
      properties:
        id:
          type: string
        success:
          type: boolean
          example: false
        msg:
          type: string
          description: 오류 메시지
      required:
        - success
        - msg
    LimitOrderEventItem:
      type: object
      description: 지정가 주문 PDA에 대해 관찰된 단일 온체인 변경 이벤트.
      properties:
        pda:
          type: string
        txid:
          type: string
        slot:
          type: integer
        blockTime:
          type: integer
        poolId:
          type: string
        mintA:
          type: string
        mintB:
          type: string
        zeroForOne:
          type: boolean
        tick:
          type: integer
        price:
          type: number
        autoRunner:
          type: boolean
          description: 이벤트가 `limit_order_admin` 키퍼에 의해 수행된 경우 true; 소유자가 서명한 경우 false.
        type:
          type: string
          enum:
            - open
            - increase
            - decrease
            - settle
            - close
        inputAmountChangeUi:
          type: number
          description: 주문의 입력 잔액 순 변화량 (사람이 읽을 수 있는 단위, 부호 포함).
        inputAmountValuePreUi:
          type: number
        inputAmountValuePostUi:
          type: number
        outputAmountChangeUi:
          type: number
          description: 주문의 누적 출력 순 변화량 (사람이 읽을 수 있는 단위, 부호 포함).
        outputAmountValuePreUi:
          type: number
        outputAmountValuePostUi:
          type: number
      required:
        - pda
        - txid
        - slot
        - blockTime
        - poolId
        - mintA
        - mintB
        - zeroForOne
        - tick
        - price
        - autoRunner
        - type
        - inputAmountChangeUi
        - inputAmountValuePreUi
        - inputAmountValuePostUi
        - outputAmountChangeUi
        - outputAmountValuePreUi
        - outputAmountValuePostUi

````